/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-07-19 13:39:33
 * @LastEditors: shimnx
 * @LastEditTime: 2022-11-28 10:56:56
 */
import { Gantt } from '@bryntum/gantt/gantt.lite.umd.js';

export class MyGantt extends Gantt {
    addSubtask(taskRecord) {
        // if the task is not assigned to a person then add the subtask
        if (!taskRecord.resources.length) {
            const result = this.addTask(taskRecord, { asChild: true });

            this.toggleCollapse(taskRecord, false);
            return result;
        }
    }
}
const origFunction = DateHelper.parseDuration;

// override to force using of days always
DateHelper.parseDuration = function (value, allowDecimals = true, defaultUnit) {
    const result = origFunction.call(this, ...arguments);
    console.log(result)
    // regardless of what unit was provided we treat it as day
    result.unit = 'day';

    return result;
};
