import { TaskModel } from '@bryntum/gantt/gantt.lite.umd.js';

// here you can extend our default Task class with your additional fields, methods and logic
export default class Task extends TaskModel {

    static get $name() {
        return 'Task';
    }

    static get fields() {
        return [
            { name : 'deadline', type : 'date' }
        ];
    }

    get isLate() {
        return this.deadline && Date.now() > this.deadline;
    }


}
